package com.atlassian.webdriver.bitbucket.element;

import com.atlassian.pageobjects.elements.timeout.TimeoutType;
import org.apache.commons.lang3.NotImplementedException;
import org.openqa.selenium.By;

import java.util.List;

public abstract class SourceFileContent extends FileContent {
    public SourceFileContent(By locator, TimeoutType timeoutType) {
        super(locator, timeoutType);
    }

    public abstract List<String> getSourceLines();

    public List<Line> getHighlightedLines() {
        throw new NotImplementedException("getHighlightedLines is only implemented by CodeMirrorSourceFileContent");
    }
}
